spark-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tatu Saloranta (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (SPARK-14989) Upgrade to Jackson 2.7.3
Date Thu, 19 May 2016 19:17:13 GMT

    [ https://issues.apache.org/jira/browse/SPARK-14989?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15291972#comment-15291972
] 

Tatu Saloranta commented on SPARK-14989:
----------------------------------------

Quick comment: Jackson 2.7.4 was resolved few weeks 3 weeks ago, so makes sense to use it.
Since then not many fixes reported, so this is likely to be the last 2.7 patch for a while.
If compatibility issues/concerns found, I'll be happy to help as well (I'm the main author
of Jackson and most components).
2.5 and 2.7 should be quite compatible, especially given that Spark usage of API is quite
conservative (that is, uses public API and extension points, not semi-public classes via inheritance
that some frameworks due for tighter integration).


> Upgrade to Jackson 2.7.3
> ------------------------
>
>                 Key: SPARK-14989
>                 URL: https://issues.apache.org/jira/browse/SPARK-14989
>             Project: Spark
>          Issue Type: Improvement
>          Components: Build
>            Reporter: Josh Rosen
>            Assignee: Josh Rosen
>            Priority: Blocker
>
> For Spark 2.0, we should upgrade to a newer version of Jackson (2.7.3).



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@spark.apache.org
For additional commands, e-mail: issues-help@spark.apache.org


Mime
View raw message